// pages/fault-list/fault-list.js
const util = require('../../utils/util.js');

Page({

    /**
     * 页面的初始数据
     */
    data: {
        current: 1,
        size: 10,
        total: 0,
        list: [],
        type: ''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this;
        util.get({
            url: '/api/fault/handling/record/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: function (res) {
                wx.hideLoading();
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    that.setData({
                        total: res.data.data.total,
                        list: res.data.data.records
                    });
                }
            }
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        let that = this;
        that.setData({
            current: 1,
            list: []
        });
        util.get({
            url: '/api/fault/handling/record/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: (res) => {
                wx.hideLoading();
                wx.stopPullDownRefresh();
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    that.setData({
                        total: res.data.data.total,
                        list: res.data.data.records
                    });
                }
            }
        });
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        let that = this;
        let arr = that.data.list;
        let page = that.data.current;
        if (arr.length >= that.data.total) {
            util.toast('没有更多数据了');
            return;
        }
        that.setData({
            current: ++page
        });
        util.get({
            url: '/api/fault/handling/record/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: (res) => {
                wx.hideLoading();
                wx.stopPullDownRefresh();
                console.info(res);
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    let list = res.data.data.records;
                    that.setData({
                        list: arr.concat(list)
                    });
                }
            }
        });
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})